%define t1libversion 1.0.1

Summary: A PDF file viewer for the X Window System.
Name: xpdf
Version: 0.92
Release: 7
Copyright: GPL
Source0: ftp://ftp.foolabs.com/pub/xpdf/%{name}-%{version}.tgz
Source1: ftp://ftp.foolabs.com/pub/xpdf/t1lib-%{t1libversion}.tar.gz
Source3: xpdf.desktop
Source4: Xpdf
Source5: xpdf-handle-url
Patch0: xpdf-0.90-zapf.patch
Patch1: xpdf-0.90-resource.patch
Epoch: 1
Url: http://www.foolabs.com/xpdf/
Group: Applications/Publishing
Requires: urw-fonts
BuildPrereq: freetype-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Xpdf is an X Window System based viewer for Portable Document Format
(PDF) files. Xpdf is a small and efficient program which uses
standard X fonts.

%prep
%setup -q -a 1
%patch0 -p1 -b .zapf
%patch1 -p1 -b .resource

%build
cp /usr/share/libtool/config.{guess,sub} .
cd T1-%{t1libversion}
cp /usr/share/libtool/config.{guess,sub} ac-tools/
%configure --disable-shared --enable-static
make without_doc

cd ..
autoconf
%configure --with-gzip --enable-opi \
	--enable-japanese \
	--with-t1-library=`pwd`/T1-%{t1libversion}/lib/.libs \
	--with-t1-includes=`pwd`/T1-%{t1libversion}/lib \
	--with-freetype-library=/usr/lib \
	--with-freetype-includes=/usr/include
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults \
	$RPM_BUILD_ROOT/etc/X11/applnk/Graphics

make install DESTDIR=$RPM_BUILD_ROOT
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/X11/applnk/Graphics/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
install -m 0755 %{SOURCE5} $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/*
%{_mandir}/man1/*
%config %attr(0644,root,root) /etc/X11/applnk/Graphics/xpdf.desktop
%config %attr(0644,root,root) /usr/X11R6/lib/X11/app-defaults/Xpdf

%changelog
* Fri Aug  2 2002 Than Ngo <than@redhat.com> 0.92-7
- add fix to build on ia64 (bug #70598)

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com>
- rebuild for C++ exception handling on ia64

* Wed Mar 28 2001 Than Ngo <than@redhat.com>
- add german translation into desktop file
- move desktop file to /etc/X11/applnk/Graphics (Bug #32720)

* Tue Jan 02 2001 Than Ngo <than@redhat.com>
- added a default URL handler script with a corresponding definition
  in Xpdf, thanks to Michal Jaegermann <michal@harddata.com> (Bug #23112)

* Mon Dec 04 2000 Than Ngo <than@redhat.com>
- updated to 0.92 (Bug #16646)
- remove some patches, which included in xpdf-0.92

* Mon Oct 16 2000 Than Ngo <than@redhat.com>
- rebuild for 7.1

* Wed Oct 11 2000 Than Ngo <than@redhat.com>
- fix update problem (Bug #17924)

* Thu Aug 17 2000 Than Ngo <than@redhat.com>
- update to 0.91 (Bug #9961 and many major bugs) 

* Sun Aug 06 2000 Than Ngo <than@redhat.de>
- added swedish translation (Bug 15312)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 16 2000 Than Ngo <than@redhat.de>
- enable Japanese font support

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- FHS paths
- better .desktop entry file

* Tue Jun 06 2000 Than Ngo <than@redhat.de>
- fix xpdf crashes on some data streams (Bug# 10154) (thanks Derek)
- add %%defattr
- use rpm macros

* Tue May 23 2000 Ngo Than <than@redhat.de>
- fix problem with loading fonts

* Sun May 21 2000 Ngo Than <than@redhat.de>
- put man pages in /usr/share/man/*
- update t1lib-1.0.1

* Mon May 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed URL

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- build for inclusion in 6.2.

* Wed Feb 09 2000 Jakub Jelinek <jakub@redhat.com>
- include decryption patches

* Mon Feb 07 2000 Presto Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- upgrade to xpdf 0.90, include t1lib Type1 rasterizer
- fix zapfdingbats font mapping issue

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- converted wmconfig to desktop entry

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- updated to 0.80

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- patched to compile with new, stricter egcs

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.7a

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- added wmconfig
